Python - Módulo Paramiko no encontrado

CorePress2023-11-30  1

Cuando intento importar paramiko, cuando intento ejecutar rforward.py desde los archivos de demostración de paramiko, muestra el error:

./rforward.py
Traceback (most recent call last):
  File "./rforward.py", line 36, in <module>
    import paramiko
ImportError: No module named paramiko

Y cuando intento instalar paramiko mediante pip,

pip install paramiko

Muestra:

Requirement already satisfied: paramiko in /usr/lib/python3/dist-packages (2.6.0)

Mi versión de Python es 2.7.18. Instalé paramiko para un programa python3 diferente usando pip3 install paramiko ¿Ayudará eliminarlo por completo y reinstalarlo con pip en lugar de pip3? ¿Esto perderá el módulo de python3?
EDITAR:

python --version
Python 2.7.18
find /usr/lib/python3/dist-packages -iname "*paramiko*"

/usr/lib/python3/dist-packages/paramiko
/usr/lib/python3/dist-packages/paramiko-2.6.0.egg-info

¿Alguna sugerencia, por favor? Gracias de antemano

  • 2¿Es esto un problema entre la instalación como usuario y la ejecución de rforward.py como administrador? Si ese es el caso, ejecute pip install paramiko también como administrador; de lo contrario, la biblioteca terminará en su carpeta de usuario y no será accesible. por el administrador. - Torxed 8 de junio de 2020 a las 8:41
  • ¿Cuál es el resultado de what python? - alberto 8 de junio de 2020 a las 8:44
  • 1 python --version y busque /usr/lib/python3/dist-packages -iname "*paramiko*". Agregue los resultados en su pregunta, no en la sección de comentarios. - Torxed 8 de junio de 2020 a las 8:58
  • 1 Si recién estás aprendiendo lo básicos, probablemente deberías ignorar Python 2 y dedicar tu tiempo a la versión actualmente recomendada y compatible del lenguaje, que es Python 3. - tripleee 23 de julio de 2020 a las 11:37
  • 1 Este hilo ayudó en mi caso particular, espero que también te ayude a ti stackoverflow.com/questions/65869296/… Arnas Valteris 10 de septiembre de 2021 a las 7:22


------------------------

El problema fue con pip. El pip y pip3 que había instalado en la misma ruta, /usr/lib/python3/dist-packages. Instalé un pip específicamente para Python 2.7. Usando esto. Ahora pip se instala para python y pip3 para python3.

Su guía para un futuro mejor - libreflare
Su guía para un futuro mejor - libreflare